# DH (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.transport.kex
Class DH

    java.lang.Object
      net.schmizz.sshj.transport.kex.DH

    public class DH

extends Object

Diffie-Hellman key generator.

Constructor Summary
`DH()`

Method Summary
`byte[]` `getE()`
`byte[]` `getK()`
`void` `setF(BigInteger f)`
`void` `setG(BigInteger g)`
`void` `setP(BigInteger p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DH

    public DH()

Method Detail

### setF

    public void setF(BigInteger f)

### setG

    public void setG(BigInteger g)

### setP

    public void setP(BigInteger p)

### getE

    public byte[] getE()
                throws GeneralSecurityException

  Throws:
    `GeneralSecurityException`

### getK

    public byte[] getK()
                throws GeneralSecurityException

  Throws:
    `GeneralSecurityException`

Copyright © 2009-2011. All Rights Reserved.